#include <stdio.h>
#include <stdlib.h>
long long stepen(int a,int b){
int c=b;
int d=1;
while(c!=0){
    d*=a;
    c--;
}
return d;
}
int brojcifara(long long a){
long long b=a;
int br=0;
    while(b!=0){
    br++;
    b=b/10;
    }
    return br;
}
long long maxi(long long a, long long b){
if (a>b) return a;
else return b;
}
long long spajanje(long long a,long long b,long long c){
return ((a*stepen(10,brojcifara(b))+b)*stepen(10,brojcifara(c)))+c;
}
int main()
{
    long long a,b,c,d,e,f,g,h;
    scanf("%lld%lld%lld",&a,&b,&c);

    d=maxi(spajanje(a,b,c),spajanje(a,c,b));
    e=maxi(spajanje(b,c,a),spajanje(b,a,c));
    f=maxi(spajanje(c,a,b),spajanje(c,b,a));
    g=maxi(d,e);
    h=maxi(g,f);
    printf("%lld \n",h);
    return 0;
}